Name: pam
Version: 0.75
Release: alt18

%define rhver 48
%define helperdir /sbin

Summary: Pluggable Authentication Modules
License: GPL or BSD
Group: System/Base
Url: http://www.us.kernel.org/pub/linux/libs/%name/index.html

Source0: ftp://ftp.kernel.org/pub/linux/libs/pam/pre/library/Linux-PAM-%version.tar.bz2
Source1: %name-redhat-%version-%rhver.tar.bz2
Source2: pam_sameuid.tar
Source3: other.pamd
Source4: pam_listfile.c

# RHS patches
Patch1: pam-0.75-headers.patch
Patch2: pam-0.75-accessdoc.patch
Patch3: pam-0.75-build.patch
Patch4: pam-0.75-cached.patch
Patch5: pam-0.75-const.patch
Patch6: pam-0.75-linkage.patch
Patch7: pam-0.75-mandir.patch
Patch8: pam-0.75-primary.patch
Patch9: pam-0.75-prompt.patch
Patch11: pam-0.75-return.patch
Patch12: pam-0.75-security.patch
Patch13: pam-0.75-string.patch
Patch14: pam-0.75-typo.patch
Patch15: pam-0.75-trust.patch
Patch16: pam-0.75-userdb.patch
Patch17: pam-0.75-wheeldoc.patch
Patch18: pam-0.75-wrap.patch
#Patch19: pam-0.75-cracklib-distance.patch
Patch20: pam-0.75-group-reinit.patch
Patch21: pam-0.75-lastlog-utmp.patch
Patch22: pam-0.75-limits-locks.patch
#Patch23: pam-0.75-null.patch
#Patch24: pam-0.75-sigchld.patch
#Patch25: pam-0.75-pwdb-compare.patch
Patch26: pam-0.75-securetty-pts.patch
Patch27: pam-0.75-securetty-fail.patch
Patch28: pam-0.75-syntax.patch
Patch29: pam-0.75-time.patch
Patch30: pam-0.75-issue.patch
Patch31: pam-0.75-doc-rhl.patch
#Patch32: pam-0.75-bigcrypt-main.patch
#Patch33: pam-0.75-cracklib-init.patch
Patch34: pam-0.75-filter-comments.patch
#Patch35: pam-0.75-unixdoc.patch
#Patch36: pam-0.75-unix-loop.patch
#Patch37: pam-0.75-unix-preserve.patch
#Patch38: pam-0.75-unix-retval.patch
#Patch39: pam-0.75-unix-brokenshadow.patch
#Patch40: pam-0.75-unix-nis.patch
#Patch41: pam-0.75-unix-nullok.patch
Patch42: pam-0.75-wheel-usertouser.patch
Patch43: pam-0.75-mkhomedir-recurse.patch
Patch44: pam-0.75-limits-root.patch
Patch45: pam-0.75-issue-seg.patch
Patch46: pam-0.75-listfile-tty.patch
Patch47: pam-0.75-tally-init.patch
Patch48: pam-0.75-rhosts-plus.patch
Patch49: pam-0.75-limits-retval.patch
Patch50: pam-0.75-rhs-alt-reentrant.patch
Patch51: pam-0.75-macros.patch

# ALT patches
Patch100: %name-0.75-alt-misc_conv-read_string.patch
Patch101: %name-0.74-alt-db2.patch
Patch102: %name-0.75-alt-limits.conf.patch
Patch103: %name-0.75-alt-console.perms.patch
Patch106: %name-0.75-alt-pam_console-chmod.patch
Patch108: %name-0.75-alt-no-pwdb.patch
Patch109: %name-0.75-alt-use-db2.patch
Patch110: %name-0.75-alt-pam_xauth-wildcards.patch
Patch111: %name-0.75-alt-pam_xauth-nonblock.patch

# Owl patches
Patch200: %name-0.75-owl-alt-tmp.patch
Patch201: %name-0.75-owl-pam_get_user-cache-failures.patch
Patch202: %name-0.75-owl-pam_dispatch-debugging.patch
Patch203: %name-0.75-owl-man.patch
Patch204: %name-0.75-owl-pam_lastlog.patch
Patch205: %name-0.75-owl-alt-pam_securetty.patch
Patch206: %name-0.75-owl-alt-pam_limits.patch
Patch207: %name-0.75-owl-pam_motd.patch
Patch208: %name-0.75-owl-alt-no-cracklib.patch

Requires: lib%name = %version-%release
Obsoletes: pamconfig
BuildPreReq: groff >= 1.17.2-alt3

%define _pamdir %_sysconfdir/pam.d
%define _secdir %_sysconfdir/security

# Automatically added by buildreq on Thu Feb 13 2003
BuildRequires: cm-super-fonts-pfb cm-super-fonts-tex-dvips flex glib-devel groff-base latex2html libdb2-devel openjade sgml-tools tetex-core tetex-dvips tetex-latex

%package -n lib%name
Summary: Shared libraries for running %name-based software
Group: System/Libraries
Requires: lib%name = %version-%release

%package -n lib%name-devel
Summary: Headers for developing applications with %name
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel

%package -n lib%name-devel-static
Summary: Static libraries for developing applications with %name
Group: Development/C
Requires: lib%name-devel = %version-%release
Requires: glibc-devel-static

%package doc
Summary: More documentation for %name
Group: Development/C
Requires: %name = %version-%release

%package -n pam_console
Summary: Controls permissions for users at the system console
Group: System/Base
Requires: %name = %version-%release

%description
Linux-PAM (Pluggable Authentication Modules for Linux) is a suite of
libraries that enable the local system administrator to choose how
PAM-aware applications authenticate users, without having to recompile
those applications.

%description -n lib%name
Linux-PAM (Pluggable Authentication Modules for Linux) is a suite of
libraries that enable the local system administrator to choose how
PAM-aware applications authenticate users, without having to recompile
those applications.

This package contains shared libraries required for running both
PAM-aware applications and modules for use with PAM.

%description -n lib%name-devel
Linux-PAM (Pluggable Authentication Modules for Linux) is a suite of
libraries that enable the local system administrator to choose how
PAM-aware applications authenticate users, without having to recompile
those applications.

This package contains header files and development libraries used for
building both PAM-aware applications and modules for use with PAM.

%description -n lib%name-devel-static
Linux-PAM (Pluggable Authentication Modules for Linux) is a suite of
libraries that enable the local system administrator to choose how
PAM-aware applications authenticate users, without having to recompile
those applications.

This package contains static libraries used for building statically
linked PAM-aware applications for use with PAM.

%description doc
Linux-PAM (Pluggable Authentication Modules for Linux) is a suite of
libraries that enable the local system administrator to choose how
PAM-aware applications authenticate users, without having to recompile
those applications.

This package contains detailed documentation for use with PAM.

%description -n pam_console
The pam_console module exists to change file permissions when users
log on at the console, and to change them back when they log out of
the console.

See pam_console(8) for details.

%prep
%setup -q -n Linux-PAM-%version -a1 -a2
%__install -p -m644 %SOURCE3 .

# RHS patches
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
#%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
#%patch23 -p1
#%patch24 -p1
#%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
#%patch32 -p1
#%patch33 -p1
%patch34 -p1
#%patch35 -p1
#%patch36 -p1
#%patch37 -p1
#%patch38 -p1
#%patch39 -p1
#%patch40 -p1
#%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1

%__install -p -m644 %SOURCE4 modules/pam_listfile

# ALT patches
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch106 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1

# Owl patches
%patch200 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch208 -p1

%__rm -rf modules/pam_{pwdb,unix,cracklib,radius}

%__ln_s -nf defs/redhat.defs default.defs

%__rm -rf doc/txts/modules
%__mkdir_p doc/txts/modules
for f in modules/pam_*/README; do
	d="${f%/*}"
	%__install -p -m644 "$f" "doc/txts/modules/${d##*/}"
done

find -type f \( -name .cvsignore -o -name \*~ \) -print0 |
	xargs -r0 %__rm -f --
find -type f -name Makefile\* -print0 |
	xargs -r0 %__grep -FZl 'install -' -- |
	xargs -r0 %__subst 's/install -/\$(INSTALL) -/g' --
find -type f -name Makefile\* -print0 |
	xargs -r0 %__grep -Zl '$(INSTALL).* -o.* -g' -- |
	xargs -r0 %__subst 's|\(\$(INSTALL).*\) -o [A-Za-z$(){}]* -g [A-Za-z$(){}]*|\1|g' --
%__subst 's/ -u root//' conf/install
%__subst 's/\(installcmd -f\)/\1 -p/' conf/install
for f in `find -type f -print0 |xargs -r0 %__grep -l '[^a-z]cp ' --`; do
	if file -b "$f" |fgrep -qs 'shell script'; then
		%__subst 's/\([^a-z]cp \)/\1-p /g' "$f"
	fi
done
%__ln_s ../../../libpam_misc/pam_misc.h libpam/include/security/pam_misc.h

%build
%add_optflags -D_GNU_SOURCE
%__install -p -m755 %_datadir/automake/install-sh .
autoconf
%configure \
	--prefix=/ \
	--exec-prefix=/ \
	--libdir=/lib \
	--sbindir=/sbin \
	--enable-static-libpam \
	--enable-fakeroot=$RPM_BUILD_ROOT \
	--enable-suplementedir=%helperdir
%make_build

%install
%__rm -f doc/{txts/*.txt,html/*.html}
%make_install install LDCONFIG=:
make -C examples clean
%__chmod go-rw $RPM_BUILD_ROOT%helperdir/*

%__install -p -m644 modules/pam_chroot/chroot.conf $RPM_BUILD_ROOT%_sysconfdir/security/

%__mkdir_p $RPM_BUILD_ROOT%_libdir
%__mv $RPM_BUILD_ROOT/lib/*.*a $RPM_BUILD_ROOT%_libdir/

/sbin/ldconfig -nv $RPM_BUILD_ROOT/lib
for f in $RPM_BUILD_ROOT/lib/*.so; do
	t=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
	[ -n "$t" ]
	%__ln_s ../../lib/"$t" "$RPM_BUILD_ROOT%_libdir/${f##*/}"
	%__rm -f "$f"
done
%__chmod a+x $RPM_BUILD_ROOT/lib/*

%__install -pD -m644 other.pamd $RPM_BUILD_ROOT%_pamdir/other

%__mkdir_p $RPM_BUILD_ROOT%_mandir/man{3,5,8}
%__install -p -m644 doc/man/*.3 $RPM_BUILD_ROOT%_man3dir/
%__install -p -m644 doc/man/*.5 $RPM_BUILD_ROOT%_man5dir/
%__install -p -m644 doc/man/*.8 $RPM_BUILD_ROOT%_man8dir/

cp -p doc/{specs,figs}/*.txt doc/txts
find doc/txts -type f -name '*.txt' -print0 |
	xargs -r0 bzip2 -9 --
%__rm -f doc/ps/*.log
find doc/ps -type f -name '*.ps' -print0 |
	xargs -r0 bzip2 -9 --

# Make sure the modules built...
for d in modules/pam_*; do
	if [ -d "$d" ]; then
		m="${d##*/}"
		if ! ls -1 "$RPM_BUILD_ROOT/lib/security/$m"*.so; then
			echo "ERROR: $m module did not build."
			exit 1
		fi
	fi
done

(
	cd $RPM_BUILD_ROOT
	find ./lib/security -mindepth 1 -maxdepth 1 |
		%__grep -Fv console |
		%__sed -e 's/^\.//g'
	find .%_man5dir .%_man8dir -mindepth 1 -maxdepth 1 |
		%__grep -Fv console |
		%__sed -e 's/^\.//g;s/^.*$/&*/g'
) >%name.list
	

%__rm -rf $RPM_BUILD_ROOT%_docdir/%name-%version
%__mkdir_p $RPM_BUILD_ROOT%_docdir/%name-%version
%__install -p -m644 README CHANGELOG doc/CREDITS Copyright pgp.keys.asc \
	$RPM_BUILD_ROOT%_docdir/%name-%version/
cp -a doc/{html,ps,txts} examples $RPM_BUILD_ROOT%_docdir/%name-%version/

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post -n pam_console
%helperdir/pam_console_apply

%triggerpostun -n pam_console -- %name
f=%_secdir/console.perms
if [ ! -f "$f" ]; then
	if [ -f "$f.rpmsave" ]; then
		%__cp -pf "$f.rpmsave" "$f"
	elif [ -f "$f.rpmnew" ]; then
		%__cp -pf "$f.rpmnew" "$f"
	fi
fi

f=%helperdir/pam_console_apply
if [ -x "$f" ]; then
	"$f"
fi

%files -f %name.list
%dir %_pamdir
%config %_pamdir/other
%helperdir/pam_tally
%dir %_secdir
%config(noreplace) %_secdir/access.conf
%config(noreplace) %_secdir/chroot.conf
%config(noreplace) %_secdir/time.conf
%config(noreplace) %_secdir/group.conf
%config(noreplace) %_secdir/limits.conf
%config(noreplace) %_secdir/pam_env.conf
%dir /lib/security

%files -n pam_console
%attr(600,root,root) %config(noreplace) %_secdir/console.perms
%attr(711,root,root) %dir %_secdir/console.apps
%attr(700,root,root) %helperdir/pam_console_apply
%attr(700,root,root) %helperdir/pam_timestamp_check
/lib/security/pam_console.so
%_mandir/man[58]/*console*
%dir %attr(711,root,root) /var/run/console

%files -n lib%name
/lib/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_man3dir/*

%files -n lib%name-devel-static
%_libdir/*.a

%files doc
%doc %_docdir/%name-%version

%changelog
* Thu Feb 13 2003 Dmitry V. Levin <ldv@altlinux.org> 0.75-alt18
- Updated pam_xauth to pam-redhat-0.75-48.
- pam_xauth: removed wildcards support introduced in pam-redhat-0.75-48.

* Sun Sep 01 2002 Dmitry V. Levin <ldv@altlinux.org> 0.75-alt17
- Patched pam_motd to behave on errors (Owl).
- Updated pam_timestamp* to pam-redhat-0.75-40.
- Fixed library symlinks generation.
- Use subst instead of perl for build.
- Updated devel-static requirements.

* Wed Jul 31 2002 Dmitry V. Levin <ldv@altlinux.org> 0.75-alt16
- Simplified read_string patch.
- Readded documentation in PostScript format.
- Dropped buildrequires on libcrypt.so.1(GLIBC_2.2.2), no longer needed
  since we don't build pam_unix/pam_pwdb.
- Added patches from Owl:
  + Moved pam.d and pam.conf man pages to section 5 where they belong.
  + pam_limits: support stacking for account management (as well as for
    session setup), be fail-close on configuration file reads, report the
    "too many logins" via PAM conversation rather than direct printf(3).
- Updated pam-redhat to -38:
  + pam_xauth: fix cases where DISPLAY is "localhost:screen" and
    the xauth key is actually stored using the system's hostname;
  + pam_timestamp fixes;
  + added pam_timestamp_check.

* Thu Mar 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.75-alt15
- Updated console.perms <dri> rules.
- Relaxed %_secdir/console.apps permissions a bit.

* Wed Mar 20 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.75-alt14
- Fixed pam_console %%triggerpostun script.
- Fixed %_secdir/console.* permissions.

* Fri Mar 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.75-alt13
- Updated pam-redhat to -27 (added pam_timestamp).
- Relocated helpers back to /sbin/.
- Updated console.perms to new scheme.
- Moved pam_console stuff to separate subpackage.
- Run %helperdir/pam_console_apply in pam_console %%post.

* Thu Dec 13 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.75-alt12
- Merged RH patches (rh release 20).
- Merged Owl patches (owl release 14).
- Dropped: pam_unix, pam_pwdb, pam_cracklib.

* Wed Sep 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.75-alt11
- Merged RH patches (rh release 12, pam_stack still from 5).
- console.perms: corrected console class description.
- Moved cracklib module to separate subpackage.
- fixed and relocated docs.

* Thu Sep 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.75-alt10
- pam_stack: revert to old version (from rh release 5) for now.

* Mon Sep 10 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.75-alt9
- Moved changable system-auth config to pam-config package.

* Fri Sep 07 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.75-alt8
- Relocated helper programs to %helperdir.
- Rebuilt to get more dependencies.

* Wed Aug 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.75-alt7
- Moved %_lockdir/console /var/run/console.
- Merged RH patches (rh release 10).
- Removed versioned dependence on glibc package.
- Added requires on libcrypt.so.1(GLIBC_2.2.1).

* Mon Jun 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.75-alt6
- More sanity checks in pam_unix_passwd.c

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.75-alt5
- Fixed more errors in pam_console/chmod.c

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.75-alt4
- Fixed recent typo in pam_unix/support.h

* Tue May 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.75-alt3
- 0.75 (rh release 2).
- Attempt to fix loop in pam_console.

* Thu May 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.75-alt2
- Fixed pam_unix-chkpwd helper.

* Tue May 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.75-alt1
- 0.75 (rh release 1).
- Moved static libraries to devel-static subpackage.

* Thu Mar 01 2001 Dmitry V. Levin <ldv@fandra.org> 0.74-ipl5mdk
- Merged RH patches (rh release 12).
- Libification.

* Sat Feb 24 2001 Dmitry V. Levin <ldv@fandra.org> 0.74-ipl4mdk
- Merged RH patches (rh release 10).

* Fri Feb 23 2001 Dmitry V. Levin <ldv@fandra.org> 0.74-ipl3mdk
- changed console.perms:
  <console> 0600 <burner> 0600 root.cdwriter

* Sun Feb 11 2001 Dmitry V. Levin <ldv@fandra.org> 0.74-ipl2mdk
- Enhanced unix_chkpwd to support LOGNAME environment variable.
- Merged RH patches (rh release 5).

* Wed Jan 31 2001 Dmitry V. Levin <ldv@fandra.org> 0.74-ipl1mdk
- 0.74 (sync with Linux-PAM and pam-redhat).
- Moved development libraries from /lib to %_libdir.

* Fri Jan 12 2001 Dmitry V. Levin <ldv@fandra.org> 0.72-ipl16mdk
- Use libc_crypt as crypt function (glibc >= 2.2.1-ipl0.3mdk).

* Wed Jan 10 2001 Dmitry V. Levin <ldv@fandra.org> 0.72-ipl15mdk
- Integrated new feaures of glibc >= 2.2.1-ipl0.2mdk:
  + added blowfish crypt support for pam_unix (libcrypt);
  + dropped BSDIcrypt support for pam_unix (it was never used);
  + set default crypt to blowfish in system-auth.

* Fri Jan 05 2001 Dmitry V. Levin <ldv@fandra.org> 0.72-ipl14mdk
- Updated console.perms patch.
- Built with db2.

* Wed Dec 06 2000 Dmitry V. Levin <ldv@fandra.org> 0.72-ipl13mdk
- Merge RH changes (26-->37).

* Tue Oct 17 2000 Dmitry V. Levin <ldv@fandra.org> 0.72-ipl12mdk
- Added pam_sameuid module.

* Fri Oct 06 2000 Dmitry V. Levin <ldv@fandra.org> 0.72-ipl11mdk
- Merge last RH changes (by Nalin Dahyabhai <nalin@redhat.com>):
  + clean up logging in pam_xauth;
  + mova README.* files in txt subdirectory;
  + add pam_tally's application to allow counts to be reset;
  + move pam_filter modules to /lib/security/pam_filter;
  + add DRI and nvidia devices to console.perms.
- Fixed:
  + pam_stack now passes delay back.

* Wed Sep 27 2000 Dmitry V. Levin <ldv@fandra.org> 0.72-ipl10mdk
- Added:
  + BSDIcrypt support for pam_unix;
  + pam_limits in system-auth.

* Tue Sep 26 2000 Dmitry V. Levin <ldv@fandra.org> 0.72-ipl9mdk
- Merge last RH changes (by Nalin Dahyabhai <nalin@redhat.com>):
  + add a broken_shadow option to pam_unix;
  + add all module README files to the documentation list;
  + fix pam_stack debug and losing-track-of-the-result bug;
  + rework pam_console's usage of syslog to actually be sane (#14646);
  + take the LOG_ERR flag off of some of pam_console's new messages.
- Merge last MDK changes:
  + set all sound stuff to audio group;
  + add cdburner permissions;
  + add %_pamdir/system-auth;
  + noreplace configs.

* Mon Sep 04 2000 Dmitry V. Levin <ldv@fandra.org> 0.72-ipl8mdk
- Merge with last MDK changes.

* Fri Jul 21 2000 Dmitry V. Levin <ldv@fandra.org> 0.72-ipl7mdk
- Merge with last RH changes.
- Added: BSDIcrypt support.

* Wed May 31 2000 Dmitry V. Levin <ldv@fandra.org> 0.72-ipl6mdk
- Package splitplit into %name, %name-devel and %name-doc packages
- RE adaptions.

* Tue Feb 22 2000 Dmitry V. Levin <ldv@fandra.org>
- Fixes:
  + read_string bugfix
  + real buildroot packaging
- more documentation included
- Fandra adaptions.

* Sat Feb 05 2000 Nalin Dahyabhai <nalin@redhat.com>
- Fix pam_xauth bug #6191.

* Thu Feb 03 2000 Elliot Lee <sopwith@redhat.com>
- Add a patch to accept 'pts/N' in /etc/securetty as a match for tty '5'
  (which is what other pieces of the system think it is). Fixes bug #7641.

* Mon Jan 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- argh, turn off gratuitous debugging

* Wed Jan 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.72
- fix pam_unix password-changing bug
- fix pam_unix's cracklib support
- change package URL

* Mon Jan 03 2000 Cristian Gafton <gafton@redhat.com>
- don't allow '/' on service_name

* Thu Oct 21 1999 Cristian Gafton <gafton@redhat.com>
- enhance the pam_userdb module some more

* Fri Sep 24 1999 Cristian Gafton <gafton@redhat.com>
- add documenatation

* Tue Sep 21 1999 Michael K. Johnson <johnsonm@redhat.com>
- a tiny change to pam_console to make it not loose track of console users

* Mon Sep 20 1999 Michael K. Johnson <johnsonm@redhat.com>
- a few fixes to pam_xauth to make it more robust

* Wed Jul 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- pam_console: added <xconsole> to manage /dev/console

* Thu Jul 01 1999 Michael K. Johnson <johnsonm@redhat.com>
- pam_xauth: New refcounting implementation based on idea from Stephen Tweedie

* Sat Apr 17 1999 Michael K. Johnson <johnsonm@redhat.com>
- added video4linux devices to /etc/security/console.perms

* Fri Apr 16 1999 Michael K. Johnson <johnsonm@redhat.com>
- added joystick lines to /etc/security/console.perms

* Thu Apr 15 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed a couple segfaults in pam_xauth uncovered by yesterday's fix...

* Wed Apr 14 1999 Cristian Gafton <gafton@redhat.com>
- use gcc -shared to link the shared libs

* Wed Apr 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- many bug fixes in pam_xauth
- pam_console can now handle broken applications that do not set
  the PAM_TTY item.

* Tue Apr 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed glob/regexp confusion in pam_console, added kbd and fixed fb devices
- added pam_xauth module

* Sat Apr 10 1999 Cristian Gafton <gafton@redhat.com>
- pam_lastlog does wtmp handling now

* Thu Apr 08 1999 Michael K. Johnson <johnsonm@redhat.com>
- added option parsing to pam_console
- added framebuffer devices to default console.perms settings

* Wed Apr 07 1999 Cristian Gafton <gafton@redhat.com>
- fixed empty passwd handling in pam_pwdb

* Mon Mar 29 1999 Michael K. Johnson <johnsonm@redhat.com>
- changed /dev/cdrom default user permissions back to 0600 in console.perms
  because some cdrom players open O_RDWR.

* Fri Mar 26 1999 Michael K. Johnson <johnsonm@redhat.com>
- added /dev/jaz and /dev/zip to console.perms

* Thu Mar 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- changed the default user permissions for /dev/cdrom to 0400 in console.perms

* Fri Mar 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed a few bugs in pam_console

* Thu Mar 18 1999 Michael K. Johnson <johnsonm@redhat.com>
- pam_console authentication working
- added /etc/security/console.apps directory

* Mon Mar 15 1999 Michael K. Johnson <johnsonm@redhat.com>
- added pam_console files to filelist

* Fri Feb 12 1999 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.66, some source cleanups

* Mon Dec 28 1998 Cristian Gafton <gafton@redhat.com>
- add patch from Savochkin Andrey Vladimirovich <saw@msu.ru> for umask
  security risk

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- upgrade to ver 0.65
- build the package out of internal CVS server
